REST API›Identity›Know Your Business (KYB)

GET

Get the latest text and version number of a legal disclosure and agreement for a given agreement ID. Display the copy in your application before submitting your end user's consent and attestation to BitGo.

Path Params

  • agreementId string enum required
    Identifier for the legal disclosure and agreement type (e.g., amlAttestation, nonSolicitationLetterEu, nonSolicitationLetterSg, taxEDeliveryConsent)
    amlAttestationnonSolicitationLetterEunonSolicitationLetterSgtaxEDeliveryConsent

Responses

200
200

Response Body

object

Latest version number and content for a legal disclosure and agreement
  • agreementId string enum required
    Identifier for the legal disclosure and agreement type (e.g., amlAttestation, nonSolicitationLetterEu, nonSolicitationLetterSg, taxEDeliveryConsent)
    amlAttestationnonSolicitationLetterEunonSolicitationLetterSgtaxEDeliveryConsent
  • revision integer required
    Agreement version (revision) number

    > 0

  • content map of objects required
    Legal disclosure and agreement content payload
    content object
    • <key> object
400
400

Response Body

object

Generic error response
  • code string required
    Error code
  • message string required
    Error message
  • details map of objects
    Additional error details
    details object
    • <key> object nullable
401
401

Response Body

object

Generic error response
  • code string required
    Error code
  • message string required
    Error message
  • details map of objects
    Additional error details
    details object
    • <key> object nullable
500
500

Response Body

object

Generic error response
  • code string required
    Error code
  • message string required
    Error message
  • details map of objects
    Additional error details
    details object
    • <key> object nullable
502
502

Response Body

object

Generic error response
  • code string required
    Error code
  • message string required
    Error message
  • details map of objects
    Additional error details
    details object
    • <key> object nullable
503
503

Response Body

object

Generic error response
  • code string required
    Error code
  • message string required
    Error message
  • details map of objects
    Additional error details
    details object
    • <key> object nullable